Interview
Get all saved interviews
This endpoint fetches all interviews that have been previously created and saved, such as interviews for specific roles like Full Stack Engineer or LLM Engineer.
GET
/
interviews
Get all saved interviews
curl --request GET \
--url https://public.api.micro1.ai/interviews \
--header 'x-api-key: <api-key>'import requests
url = "https://public.api.micro1.ai/interviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public.api.micro1.ai/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "true",
"message": "Interviews fetched successfully",
"data": [
{
"interview_id": "123e4567-e89b-12d3-a456-426614174000",
"interview_name": "Full Stack Engineer Interview",
"invite_url": "https://interview.micro1.ai/intro/micro1?uid=123e4567-e89b-12d3-a456-426614174000",
"skills": [
{
"name": "React",
"description": "Must be proficient in React Context API"
}
],
"custom_questions": [
{
"question": "Where do you see yourself in 5 years?",
"time": 120,
"type": "audio"
}
],
"interview_language": "English",
"can_change_interview_language": false,
"only_coding_round": true,
"is_coding_round_required": true,
"selected_coding_language": "Python",
"is_proctoring_required": true,
"date_created": "2021-01-01 00:00:00",
"date_modified": "2021-01-01 00:00:00",
"status": "active"
}
]
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}Authorizations
API key to access the API
Query Parameters
Page number
Number of items per page
Keyword to search for
⌘I
Get all saved interviews
